config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/security/pwquality.conf.new
( cd usr/lib64 ; rm -rf libpwquality.so )
( cd usr/lib64 ; ln -sf libpwquality.so.1.0.2 libpwquality.so )
( cd usr/lib64 ; rm -rf libpwquality.so.1 )
( cd usr/lib64 ; ln -sf libpwquality.so.1.0.2 libpwquality.so.1 )
